Search documentation of wx

# View Source wxListItemAttr (wx v2.4.3)

Functions for wxListItemAttr class

wxWidgets docs: wxListItemAttr

# Summary

## Types

wxListItemAttr()

## Functions

destroy(This)

Destroys the object

getBackgroundColour(This)
getFont(This)
getTextColour(This)
hasBackgroundColour(This)
hasFont(This)
hasTextColour(This)
new()
new(ColText, ColBack, Font)
setBackgroundColour(This, ColBack)
setFont(This, Font)
setTextColour(This, ColText)

# Types

Link to this type

# wxListItemAttr()

View Source

    -type wxListItemAttr() :: wx:wx_object().

# Functions

Link to this function

# destroy(This)

View Source

    -spec destroy(This :: wxListItemAttr()) -> ok.

Destroys the object

Link to this function

# getBackgroundColour(This)

View Source

    -spec getBackgroundColour(This) -> wx:wx_colour4() when This :: wxListItemAttr().

Link to this function

# getFont(This)

View Source

    -spec getFont(This) -> wxFont:wxFont() when This :: wxListItemAttr().

Link to this function

# getTextColour(This)

View Source

    -spec getTextColour(This) -> wx:wx_colour4() when This :: wxListItemAttr().

Link to this function

# hasBackgroundColour(This)

View Source

    -spec hasBackgroundColour(This) -> boolean() when This :: wxListItemAttr().

Link to this function

# hasFont(This)

View Source

    -spec hasFont(This) -> boolean() when This :: wxListItemAttr().

Link to this function

# hasTextColour(This)

View Source

    -spec hasTextColour(This) -> boolean() when This :: wxListItemAttr().

Link to this function

# new()

View Source

    -spec new() -> wxListItemAttr().

Link to this function

# new(ColText, ColBack, Font)

View Source

    -spec new(ColText, ColBack, Font) -> wxListItemAttr()
                 when ColText :: wx:wx_colour(), ColBack :: wx:wx_colour(), Font :: wxFont:wxFont().

Link to this function

# setBackgroundColour(This, ColBack)

View Source

    -spec setBackgroundColour(This, ColBack) -> ok when This :: wxListItemAttr(), ColBack :: wx:wx_colour().

Link to this function

# setFont(This, Font)

View Source

    -spec setFont(This, Font) -> ok when This :: wxListItemAttr(), Font :: wxFont:wxFont().

Link to this function

# setTextColour(This, ColText)

View Source

    -spec setTextColour(This, ColText) -> ok when This :: wxListItemAttr(), ColText :: wx:wx_colour().